%define		profilefile 92user-color.sh
%define		profilefile2 92user-color-clock.sh

Summary:	Make the user prompt in bash different colors depending on your user
Name:		colorprompt
Version:	1.0
Release:	%mkrel 4
Source0:	https://github.com/solbu/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
License:	GPLv3+
Group:		Shells
Url:		https://github.com/solbu/colorprompt
BuildArch:	noarch

%description
A little bash profile extension to color your user prompt appropriately.
It will make regular logins green and root logins red.


%package	clock
Summary:	Make the user prompt in bash different colors depending on your user
Group:		Shells

%description	clock
A little bash profile extension to color your user prompt appropriately.
It will make regular logins green and root logins red.

This version also add a timestamp at the front of the prompt,
showing a timestamp of when the previous command completed.

%prep
%setup -q

%build

%install
install -D -m 0644 %{profilefile} %{buildroot}%{_sysconfdir}/profile.d/%{profilefile}
install -D -m 0644 %{profilefile2} %{buildroot}%{_sysconfdir}/profile.d/%{profilefile2}

%files
%doc AUTHORS README
%{_sysconfdir}/profile.d/%{profilefile}
%license COPYING

%files clock
%doc AUTHORS README
%{_sysconfdir}/profile.d/%{profilefile2}
%license COPYING



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0-4.mga10
+ Revision: 2205423
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.0-3.mga9
+ Revision: 1811357
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.0-2.mga8
+ Revision: 1523474
- Mageia 8 Mass Rebuild

* Mon Mar 04 2019 solbu <solbu> 1.0-1.mga7
+ Revision: 1371402
- Add clock subpackage, fix install step
- Indent spec, to ease reading
- New version: 1.0
  New upstream URL
  Update License tag

* Tue Sep 18 2018 umeabot <umeabot> 0.1-9.mga7
+ Revision: 1260366
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.1-8.mga6
+ Revision: 939346
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-7.mga5
+ Revision: 738854
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-6.mga5
+ Revision: 678487
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1-5.mga4
+ Revision: 503468
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.1-4.mga3
+ Revision: 348073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 colin <colin> 0.1-3.mga1
+ Revision: 16485
- imported package colorprompt


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdv2011.0
+ Revision: 617407
- the mass rebuild of 2010.0 packages

* Mon Jun 01 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.1-2mdv2010.0
+ Revision: 381775
- don't spawn a subshell for the test
- quote $colorregex, so it is not subject to be expanded to nothing by bash,
  when shopt nullglob is on
- make grep quiet and redirect stderr to null

* Wed May 27 2009 Colin Guthrie <cguthrie@mandriva.org> 0.1-1mdv2010.0
+ Revision: 380164
- import colorprompt


